// SimRover.java
// Uebungsvorlage

import ch.aplu.nxtsim.*;

public class SimRover extends NxtRobot
{
  private Motor motorA = new Motor(MotorPort.A);
  private Motor motorB = new Motor(MotorPort.B);
  private LightSensor ls = new LightSensor(SensorPort.S3);
  private final int linearSpeed = 70;
  private final int angularSpeed = 11;

  public SimRover()
  {
    // Ergaenzen
  }
  
  // Belassen
  public boolean bluetoothConnect()
  {
    return true;
  }
  
  public int getIntensity()
  {
    // Ergaenzen
    return 0;
  }

  public void stop()
  {
    System.out.println("Rover stopped");
    // Ergaenzen
  }

  public void forward()
  {
    System.out.println("Rover moving forward");
    // Ergaenzen
  }

  public void backward()
  {
    System.out.println("Rover moving forward");
    // Ergaenzen
  }

  public void left()
  {
    System.out.println("Rover turning left");
    // Ergaenzen
  }

  public void right()
  {
    System.out.println("Rover turning right");
    // Ergaenzen
  }
  
  // Test bench
  public static void main(String[] args)
  {
    SimRover sr = new SimRover();
    sr.forward();
    delay(7000);
    System.out.println("Intensity: " + sr.getIntensity());
    sr.right();
    delay(1000);
    sr.forward();
    delay(7000);
    System.out.println("Intensity: " + sr.getIntensity());
    sr.left();
    delay(3000);
    sr.backward();
    delay(3000);
    System.out.println("Intensity: " + sr.getIntensity());
    sr.stop();
  }
  
  public static void delay(long timeout)
  {
    try
    {
      Thread.sleep(timeout);
    }
    catch (InterruptedException ex)
    {}
  }

  // ------------------ Environment --------------------------
  static
  {
    NxtContext.setStartPosition(50, 490);
    NxtContext.setStartDirection(-90);
    NxtContext.useBackground("sprites/road.gif");
  }
} 
 
